About

TreeDBNotes Pro is a powerful and easy-to-use personal database program, PIM, Word Processor, Alarm & Reminders, Contacts and Passwords manager, e-Book maker, with Tree Structure, advanced encryption and password protection.
Features: Search, Replace, History, Case options, Insert file/ link/ image/ time/ date/ symbols/ table / html table. Import from txt, wri, rtf, Excel, Word, TreePad, csv, html and more. Export to txt, html, wri, doc and more.
This program is ideal for storing notes, emails, images, URLs, document, contacts and passwords management, etc.

TreeDBNotes Pro stores and represents your information in a comfortable and clear tree-structured form. Each node in such 'tree' represents an associated note, so you can store many mostly independent notes in one notebook. With any note you can perform the main Word pad-like text-formatting functions (font and paragraph styles, tables, images...).

We sincerely hope that these new opportunities will make the program your irreplaceable friend and assistant both for work and for personal use.

Benefits and features:

General:

  • Notes Manager
  • Contacts Manager
  • Passwords (Accounts) Manager
  • Alarm and Reminders
  • Unicode (Titles, Folders, Notes, Trees... See DEMO_PRO.treeDB - Unicode)
  • eBook publishing (read, create your own stand-alone eBooks, free *.tdp e-Book reader) - Coming soon.
  • Import: KeyNote, TreePad, HTML, TreeDBNotes Notes Subtree files
  • Export: Notes, Contacts, Passwords, Notes Subtree
  • Icons Manager
  • Scratch Pad
  • Passwords generator
  • Screen capture tools (Capture to file, Clipboard, Notes)
  • Attachments (files)
  • Database Encryption (Des, Blowfish...)
  • Password protection: Trees, Folders
  • Database tools: Backup, Autobackup, Restore, Compact, Repair, Statistics
  • Convenient tree-structured form of notes representation
  • Dynamic loading and saving - extremely saves system memory
  • Fully configurable folders tree view (color, custom image for each note, background)
  • Batch tree nodes edition (image, color) - multi select mode
  • Global HotKey
  • Minimize to System Tray (small icon near clock)
  • Minimize by Esc, by Close

Notes:

  • Default notes text: Empty, Date, Time, Clipboard, Template
  • Text Styles
  • Syntax highlight (Pascal, C++, Asp, PHP, INI, ASM...)
  • Common Phrases (Special codes: Date, Time, Clipboard, Cursor position)
  • Dynamic Editor (Tables, Images)
  • Bookmarks, Anchors
  • Tools (Case, Selection, Unicode)
  • Spell checker, Thesaurus
  • Templates (Insert, Preview and Edit, rtf, rvf, txt).
  • Support for HTML and MS Word tables
  • Import Notes from *.txt, *.wri, *.rtf, *.csv, Excel, Word, *.html and more
  • Export Notes to *.html, *.wri, *.csv, *.doc and more
  • Recognition of MS Word formatted text from the clipboard
  • Text drag & drop
  • No limits to note size or number of notes in notebook

Clipboard:

  • Copy, Paste - Notes Subtree
  • Cut, Copy, Paste - Contacts and Passwords
  • Cut, Copy, Paste - Folder
  • Copy, Paste - Folder title

Hyperlinks:

  • Link to Note, Anchors (See DEMO_PRO.treeDB - FAQ)
  • Link to Attachments (See DEMO_PRO.treeDB - Mobiles or Fonts)
  • Link to Contact (See DEMO_PRO.treeDB)
  • Link to Password (See DEMO_PRO.treeDB)
  • Link to local file
  • Web links (http://...) and Email links (mailto:...)

and more...

Copyright (c) 1998-2006 www.MyTreeDB.com All Rights Reserved.


Navigating a tree

Notes Tree
All Nodes and Folder Nodes represents associated notes (text documents).
Any Nodes may have a children nodes or folers.

Contacts and Passwords Tree
All nodes represents associated document (contact or password item).
Folders Nodes - Only used for grouping Nodes.

You may Insert/Delete/Edit or Move all Nodes and Folder Nodes. All Nodes have an Icon, a Title and a Background Color. Use Drag&Drop to move a Node to another folder or change the order of Nodes.


Terminology

Database | TreeDBNotes Pro stores all information (all trees, all notes, all contacts and all accounts) in one database file. You may protect you database with password. Pro version *.tdp and TreeDBNotes Free *.tdn.
Tree | Tree is a special method of representing information (similar to the Folders list as Windows Explorer). The tree consists of the enclosed elements (Nodes) at different levels. Each Node represents an associated document (Folder, Notes, Contact or Account). You may Add, Delete or Edit a Tree. There are no limitations on the numbers of trees you may have. You may add trees as you desire.
Tree Tabs | Each Tree Tab correspond to a separate tree, so the number of Tree Tabs corresponds to the number of trees. Click on a Tree Tab for Selecting a Tree.
Notes Tree | Notes Tree - Each Node represents associated an Text Note.
Contacts Tree | Contacts Tree - Each Node represents an associated Contact.
Passwords Tree | Contacts Tree - Each Node represents an associated Password account.
Tree Icon | This icon is visible in the Tree Tab. You may change the Icon.
Tree Title | Tree Title is visible in the Tree Tab. You may Edit the Title.
Node | A Node is an element of a tree. Each Node has visual properties: Icon, Title and Background Color. Each Node represents an associated Document (Note, Contact or Password). Nodes can not have a children Nodes or Folders.
Folder Node | A Folder Node is an element of a tree. Each Folder Node has visual properties: Icon, Title and Background Color. A Folder Node can have children Nodes or Folders. In a Notes Tree, Folder Nodes same as well as Nodes. In a Contact Tree and Password, Tree Folder Nodes are used for grouping Nodes.
Node Icon | This icon is visible in the Tree before the name. You may change Node Icon.
Node Background Color | This is the Background color of a Node.
Node Title | Alphanumeric from 1..200 characters in length.
Text Editor | Text Editor uses for Editing text (Notes, Contact or Password commenst).
Contacts List | List of the Contact Persons. Each person's data is on one line. You may use text filter or Folder for person title filtering.
Accounts List | List of the Accounts. Each account's data is on one line. You may use text filter or Folder for account title filtering.
Columns | Each Column consists one Property ( eg email or Name..).


FAQ

  • My Database is very large? How do I reduce the size of a database?
    When you add data to your database you increase the size of the file. When you delete data, the size of the file does not decrease. The cells in the database are simply emptied. To reduce the size it is necessary to select Repair Database, and then Compact Database. This operation optimizes the file of a database, and increases work speed. It is recommended you run Compact Database periodically.
  • What is a Database?
    It is a file of a special format for storage and management of a large amounts of the data of different types. All textual data, all trees, all contacts, all passwords are stored in the program in a database. If your database is protected by a password no one can view its contents from a Text or Hex Editor.
  • How do I protect my TreeDbNotes database with a password?
    You may protect your database with a password. Press: Database tools/Set Password. After this you may open your database only with the password. Don’t forget your password; there is no way to return a lost password.
  • How do I delete passwords from my TreeDbNotes Database?
    Open your encrypted database (input your password) and press: Database tools/Delete Password.
  • What is the Database Tool: Repair/Compact/Back up?
    Use database backup for periodical saving your data. Backup will copy your opened file into the special folder. Periodically make backup for the important documents. This will help their restore if required. The Problems can be when power loss or improper operating system shutdown, malfunction in computer or crashing system and etc.
  • Where is all information saved (images, text, contacts, passwords)?
    All information was saved in one database file: *.tdb
  • How do I create an email/ address/ name ... list from my Contacts List?
    Select people from the contact list and press export to... (from pop up menu)
  • How do I copy an email list to the clipboard?
    Select people from the contact list and press copy Personal Email.
  • How do I import data from Excell?
    Excell must be installed. Press Main menu: Notes/Insert/File
  • How do I import / export a text document (DOC, HTML, TXT...)?
    For Import press Main menu: Notes/Insert/File.
    For Export press Main Menu: Notes/Export.
  • What is *.tdb, *.tdp, *.tdn ?
    *.tdb - TreeDBNotes Pro v2 files;
    *.tdp - TreeDBNotes Pro v1.xx files;
    *.tdn - TreeDBNotes free files.
  • Where is Alarm & Reminders?
    Press main menu: Tools/ Alarm & Reminders.
  • My tree contains many elements (more than 1000). How to increase speed of updating?
    Try to disable auto update sort-indexes (Main menu/Tree/Auto Update Sort position).


Understanding tree structure

TreeDBNotes stores and represents your information in a familiar and clear tree-structured form. Each node in such a 'tree' represents an associated note (or contact or password), so you can store many mostly independent notes (contact, password) in one Tree.

You may create Node or Folder Node. Folder Node may have a children nodes or folders. All folders names are visible in a bold font. All Nodes have a normal font. A Node can not be converted into a Folder Node (and on the contrary).
Notes Folder Node - have a associated text document as Node.
Contact and Password Folder Nodes - Only used for grouping Nodes.


Keyboard shortcuts

Main Actions | Shortcut
New Database (*.tdb) | Ctrl + N
Open Database (*.tdb) | Ctrl + O
Close Active Database | Ctrl + W
Print Note | Ctrl + P
Close TreeDBNotes | Alt + X

Tree & Nodes | Shortcut
Previous Tree | Alt + Left
Next Tree | Alt + Right
Next Node | Alt + Down
Previous Node | Alt + Up
History "Back" | Ctrl + Alt + Left

View | Shortcut
Show/Hide Tree | Alt + F1
Show/Hide Notes Tree | Alt + F2
Show/Hide Contact Tree | Alt + F3
Show/Hide Password Tree | Alt + F4
Alarm and Reminders | Alt + F5
Minimize form | Esc

Text Editor Action | Shortcut
Cut | Ctrl + X
Copy | Ctrl + C
Paste | Ctrl + V
Select All | Ctrl + A
Bold | Ctrl + B
Italic | Ctrl + I
Underline | Ctrl + U
Align Left | Ctrl + L
Align Center | Ctrl + E
Align Right | Ctrl + R
Search | Ctrl + F
Global Search | Ctrl + Shift + F
Insert Date | Ctrl + Shift + D
Insert Time | Ctrl + Shift + T
Insert Date & Time | Ctrl + Shift + J
Insert Picture | Ctrl + Shift + I
Insert Line | Ctrl + Shift + L
Insert Symbol | Shift + Ctrl + S
Insert Link to Note | Shift + Ctrl + N
Insert Hyperlink | Shift + Ctrl + H
Insert Template | Shift + Ctrl + E
Styles (0 - 9) | Ctrl + 0 .. 9


System Requirements

  • Windows 95/98/ME/XP, Windows NT 4.0 or Windows 2000, Windows Vista;
  • Windows XP Visual Themes is fully supported!
  • 12 MB of RAM;
  • 8 MB of HDD space;
  • no DLLs; All information in a single database file.


Create New *.treeDB Database

Create new database

Go to main menu: File/New (Ctrl+N):

Choose Database filename and folder (Default folder: MyDocuments/TreeDBNotes Pro 3):

Database information (Title, Description, Author, Copyright, Link):

Database Encryption options (Algoritm and Password):

Advanced database options: Compression, Unicode, Fields (for advenced users!):

Press Create. Your new database:


Converter

1) Download converters from our web site.

  • TreeDBConverter.exe - Converter from 2.xx to 3 and 1.xx to 3
  • PIMConverter.exe - Alarms and Reminder converter from 2.xx (PIM file: pim_db.pdb) to 3 (TreeDBNotesPro.PIM)

TreeDBConverter.exe

Run TreeDBConverter.exe and choose *.tdb file:

Press Step-2 - Create 3.0 Database. Create database window (See more info):

The next step: Step-3

Step-3/5 - Converter options:

Press Convert... Results:

PIMConverter.exe

1) Run PIMConverter.exe and choose your PIM file (from TreeDBNotes Pro 2.xx)
(Default location: c:\Program Files\TreeDBNotes Pro 2\pim_db.pdb)

2) Choose PIM file for TreeDBNotes Pro 3.

  • WinXP/2000: C:\Documents and Settings\USERNAME\Application Data\TreeDBNotes Pro 3\Settings\TreeDBNotesPro.PIM
  • Win Vista: F:\Users\USERNAME\AppData\Roaming\TreeDBNotes Pro 3\Settings\TreeDBNotesPro.PIM

Browse: pim_db.pdb and TreeDBNotesPro.PIM

OK, press Convert:


Flash and USB

Flash & USB Drives

How to use TreeDBNotes Pro 3 on a Flash/USB drives:

  1. Download and Install TreeDBNotes Pro 3 (setup_treedbnotes_pro_v3_x_[xxx].exe)
  2. Apply Registration Key: Main menu/Help/Enter Serial Number (for Registered Users)
  3. Copy TreeDBNotes on a Flash/USB Drive:
    Main menu: Tools/Copy TreeDBNotes on a Flash Drive

Examples (x:\ - USB/Flash Drive)

  • x:\soft\TreeDBNotes Pro 3\
  • x:\TreeDBNotes3\
  • x:\Programs\TreeDB3\
  • ...

Results

About Window (Main menu: Help/About):

Folders Configuration (Main menu: Tools/Folders Configuration):


Options

General

  • Minimize to tray
  • Minimize on ESC
  • Minimize on Close
  • Reopen Last file
  • Show messages

Notes

  • Editor Option
  • Default text and style
  • Date and Time format
  • Templates folder

Safety

  • Lock Trees on Minimize
  • Lock trees on Home

Backup

  • Backup options and folder
  • Autobackup options and folder

Save

  • Save options
  • Autosave options

Capture

  • More info about Capture tools


Trees

Trees Overview

Tree is a special method of representing information (similar to the Folders list as Windows Explorer). The tree consists of the enclosed elements (Folders) at different levels. Each Folder represents an associated document (Folder, Notes, Contacts or Passwords).

TreeDBNotes Trees:

  • Notes
  • Contacts
  • Passwords (Accounts)
  • Password protected trees:
    • Locked
    • Unlocked

Add, Edit, Delete Tree

You may Add, Delete or Edit a Tree. There are no limitations on the numbers of trees you may have. You may add trees as you desire.

Tree Properties window

Tree Sorting

Copyright (c) 1998-2006 www.MyTreeDB.com All Rights Reserved.


Folders

Folders Tree

You may Insert/Delete/Edit or Move Folders. All Folders have an Icon, a Title, Keywords, Description, Dates: Create, Update), View and Edit counter and a Style. Use Drag&Drop (or toolbar buttons) to move a Node to another folder or change the order of Nodes.

Notes Folders

All Nodes and Folder Nodes represents associated notes (text documents).
Any Nodes may have a children nodes or folers.

Contacts and Passwords Folders

All nodes represents associated document (contact or password item).
Folders Nodes - Only used for grouping Nodes.

  • Insert Note
  • Insert SubNote
  • Styles
  • Icon
  • Properties
  • Cut, Copy, Paste Folder
  • Copy, Paste Folder Title
  • Copy, Paste Folders Subtree
  • Delete Folders
  • Show Header (Report View)
  • Level: Decrease, Increase
  • Move: Up, Down
  • Add Folder
  • Add Subfolder
  • Styles
  • Icon
  • Properties
  • Cut, Copy, Paste Folder
  • Copy, Paste Folder Title
  • Delete Folders
  • Show Header (Report View)
  • Level: Decrease, Increase
  • Move: Up, Down

Password protected folders:

  • Folders
  • Password protected folders
    • Locked folders
    • Unlocked folders

Folders Properties:

  • Icon (No Icon)
  • Folder Style
  • Folder Preview
  • Folder Title
  • Folder Description
  • Folder Keywords
  • Folder Password

Folder Styles

  • Folders: Styles Editor
Without Styles, Icons and Flags | With Icons

Icons, Flags and Styles | Icons and Flags

Report View

  • Right click menu: Show Header
  • Main menu: Folders: Show Header


Folders Styles Editor

Overview

TreeDBNotes Pro 3 Folders styles editor (Add style, Delete Style, Edit Style):

Style Editor Window:


History 3.xx

Version 3.0 (18 July 2007)

General:

  • Notes Manager
  • Contacts Manager
  • Passwords (Accounts) Manager
  • Alarm and Reminders
  • Unicode (Titles, Folders, Notes, Trees... See DEMO_PRO.treeDB - Unicode)
  • eBook publishing (read, create your own stand-alone eBooks, free *.tdp e-Book reader) - Coming soon.
  • Import: KeyNote, TreePad, HTML, TreeDBNotes Notes Subtree files
  • Export: Notes, Contacts, Passwords, Notes Subtree
  • Icons Manager
  • Scratch Pad
  • Passwords generator
  • Screen capture tools (Capture to file, Clipboard, Notes)
  • Attachments (files)
  • Database Encryption (Des, Blowfish...)
  • Password protection: Trees, Folders
  • Database tools: Backup, Autobackup, Restore, Compact, Repair, Statistics
  • Convenient tree-structured form of notes representation
  • Dynamic loading and saving - extremely saves system memory
  • Fully configurable folders tree view (color, custom image for each note, background)
  • Batch tree nodes edition (image, color) - multi select mode
  • Global HotKey
  • Minimize to System Tray (small icon near clock)
  • Minimize by Esc, by Close

Notes:

  • Default notes text: Empty, Date, Time, Clipboard, Template
  • Text Styles
  • Syntax highlight (Pascal, C++, Asp, PHP, INI, ASM...)
  • Common Phrases (Special codes: Date, Time, Clipboard, Cursor position)
  • Dynamic Editor (Tables, Images)
  • Bookmarks, Anchors
  • Tools (Case, Selection, Unicode)
  • Spell checker, Thesaurus
  • Templates (Insert, Preview and Edit, rtf, rvf, txt).
  • Support for HTML and MS Word tables
  • Import Notes from *.txt, *.wri, *.rtf, *.csv, Excel, Word, *.html and more
  • Export Notes to *.html, *.wri, *.csv, *.doc and more
  • Recognition of MS Word formatted text from the clipboard
  • Text drag & drop
  • No limits to note size or number of notes in notebook

Clipboard:

  • Copy, Paste - Notes Subtree
  • Cut, Copy, Paste - Contacts and Passwords
  • Cut, Copy, Paste - Folder
  • Copy, Paste - Folder title

Hyperlinks:

  • Link to Note, Anchors (See DEMO_PRO.treeDB - FAQ)
  • Link to Attachments (See DEMO_PRO.treeDB - Mobiles or Fonts)
  • Link to Contact (See DEMO_PRO.treeDB)
  • Link to Password (See DEMO_PRO.treeDB)
  • Link to local file
  • Web links (http://...) and Email links (mailto:...)


History 2.xx

Version 2.8

2.8 Build 020 (17 Oct 2005)

  • Open EXE TreeDBNotes Pro (TDB) ebooks
  • Fixed bug: PIM Play sound
  • PIM: Save PIM window position
  • PIM: Nodes text: Active alarm - black; Inactive - gray; With sound - green
  • PIM: New message window
  • Notes History HotKey: Ctrl+Alt+Left
  • A lot of minor changes and fixes

Beta-1 / 5 (28 Sept 2005)

  • Multilanguage interface
  • Quick Menu Hotkeys (Alt + Keys)
  • Subfolders for Templates dialog
  • Subscript & Superscript toolbar buttons
  • Tree scroller (Scroll Left [Alt+Left], Scroll Right [Alt+Right])
  • Node scroller (Scroll Up [Alt+Up], Scroll Down [Alt+Down])
  • Improoved TreeDBNotes Links engine
  • Insert Date-Time from DropDown combobox
  • Fixed bug: HTML Import with non english filenames
  • Fixed bug: Save Nodes title
  • Fixed Bug: Passwords list - comments column: +, - (Empty, Exists)
  • Fixed bug: Change icon from list (right-click menu)
  • Fixed bug: Lost node focus on Tree-Item properties
  • Fixed bug: Default calendar date
  • Fixed bug: Save Icon & Color for text nodes
  • Fixed problem with Styles & HotKeys
  • Fixed problem with Ole Objects (Update/Save)
  • Save "Maximum of Reopen Files"
  • A lot of minor changes and fixes

Version 2.7

Build 033 (18 July 2005)

  • Auto-Backup Explorer: File size, Total size
  • Fixed bug: High CPU usage

Build 018 (15 July 2005)

  • 18 Themes for user interface & Toolbars (Main Menu: View/Themes)
  • Speed of reading is optimized. (Quick Format)
  • Scan URLs, Auto Scan URls, Clear Hyperlinks (Main menu: Notes/Tools)
  • Auto-Backup: Enable/Disable (Options/Backup)
  • Auto-Backup explorer (Main menu: File/Auto-backup explorer)
  • Custom Backup-Folder & Auto-Backup Folder (Options/Backup) - Calendar tools / Dock-Window (Alt+F6)
  • Interface: Background - Gradient
  • Background Double-Click - Open file
  • Interface: Dock-Window for Tree
  • New Hotkeys (Show/Hide):
    [Alt+F1] - all Trees,
    [Alt+F2] - Notes tree,
    [Alt+F3] - Contact tree,
    [Alt+F4] - Password tree
  • Hotkey [Shift+Ins] Removed (Insert subnode)
  • Fixed bug with Tab key (Editor)
  • Fixed bug: search with one result (Search tree/Search) - Custom font style for new nodes (Options/Notes)
  • New Notes text from Templates (Options/Notes)
  • Custom default Icons: Notes, Contact, Password (Options/Tree) - Startup sound removed
  • Templates for Password & Contact Text Editor
  • Optimized SubTree Export (Main menu: Notes/Export-Import..)
  • New Bullets window and icons (main menu: Notes/Insert..)
  • A lot of minor changes and fixes.

  • TDBViewer 2.2 Build 018 (15 July 2005)

    • Background Double-Click - Open file
    • Interface: Background gradient
    • Fixed bug with OLE objects
    • Speed of reading is optimized. (Quick Format)

Version 2.6 (7 Mar 2005)

  • Screen Capture tools (Main menu: Tools)
  • Editor: Insert OLE Objects
  • Text tools: Text Statistics (Words count, Symbols count)
  • New Options: Editor - Show Special characters, Disable text Drag and Drop
  • Close on ESC: About, Export, Import forms.
  • New program icon, Help menu icons
  • Fixed bug: FillTreeNodes - Cache (Integer Overflow)
  • Main menu/Help/Link to TreeDBNotes Forum
  • A lot of minor changes and fixes.

Version 2.5 (16 Dec 2004)

  • Import Palm Doc files: PDB, PRC
  • Export to Palm database PDB, PRC (Selection or full note)
  • New Color buttons (Font Background and Paragraph color)
  • Editor Ruler grid (View / Hide)
  • New Templates (Calendar 2005)
  • Templates (Sort by filename, support: rtf, txt, rvf)
  • Text tools: Reverse text, Evaluate Math Expression
  • Fixed FontStyles Numbers. Added: Hint: (Font - Size)

Version 2.4 (20 Sep 2004)

  • Global HotKey (Options/Common)
  • Minimize to system tray, when click [Close] button (Options/Common)
  • New insert modes of tree-nodes: Insert before, after, as child
  • Hyperlinks activation: Double click, Ctrl+Click
  • Hyperlinks and Notes History (Main menu/Items/Back)
  • Status line: info about cursor position (Line : Column)
  • Improved speed: Build tree (up to 7-10%)
  • Improved speed: Update sort indexes (up to 60%)
  • New Hotkey: [Shift+Del] - Delete Nodes
  • New button: Test Link (Publish e-Book dialog)
  • Fixed bug in table editor (percent checkbox)
  • Improved HTML import (gif - images)
  • Toolbars is updated
  • A lot of minor changes and fixes

    TDP Viewer 2.1 (20 Sep 2004)

    • Hyperlinks and Notes History
    • Improved speed: Build tree (up to 7-10%)
    • New menu item: Main menu/Help/Visit Publisher Homepage
    • Fixed bug in Help/Visit links
    • Main Menu is updated

Version 2.3 (2 Sep 2004)

  • Print and Print Preview of all selected Notes
  • Import from TreePAD *.hjt files
  • Import and Export Subtree with full Tree structure (sbt,rtf files)
  • Import and Export Selected Text Notes to CSV file (plain text)
  • New Notes Right-click Menu (With spelling check)
  • New Options: Options/Notes: Live Spelling check
  • [Ctrl] + Right Mouse button: Old Right-click menu
  • Optimized RTF Export
  • Some menus and icons are reorganized
  • updated help file (Notes Import, Export, Printing)
  • A lot of minor changes and fixes

Version 2.2 (2 Aug 2004)

  • Fixed bug with Splitter & Tree-Pannel
  • Automatic Tree sorting or manual positioning
  • A lot of minor changes and fixes

Version 2.00 (5 May 2004).

General:

  • Alarm & Reminders
  • New Database format: *.tdb (you may convert all previous formats *.tdn -> *.tdb; *.tdp -> *.tdb)
  • Nodes quick edit: Icons, Color, Title (from right click menu)
  • Tree Sorting
  • Batch tree nodes edition (image, color) - multi select mode
  • New icons
  • A lot of minor changes and fixes

Notes Editor:

  • Searchable editing history
  • New Search interface
  • New Notes Table Editor
  • Spell checker
  • Text drag & drop
  • Quick batch Import and batch Export text notes from tree
  • Notes hyperlinks to any opan Notes database (no longer only within the active tree)
  • Drag and Drop text from other programs into tree nodes
  • Enable / Disable default insertion of date/time text
  • new e-Book viewer for *.tdb files

Contacts & Passwords manager:

  • New Import engine from text and csv files
  • New Export engine to text and csv files
  • Optimized productivity of tree and items lists (up to 80%)
  • New right-click menu functions: Edit, Delete, Set color, Set image

Version 1.2 (18 Sep 2003)

  • New Options:
    - Save current file when Minimized.
    - Auto save (period 1 .. n min).
    - Custom Tree Font.
    - Custom Confirmation Dialogs.
  • Internal e-Book Compiller and Reader.
  • Support of Templates (Insert/ Save/ Preview).
  • New hotkeys (Next Node, Previous Node, Next Tree, Previous Tree).
  • New Import Wizard: Import Contacts and Passwords from file (CSV, TXT).
  • Optimized Export Wizard (for Contacts and Passwords).
  • Fixed bug with destruction of file at power-off.
  • Stability and reliability of a data storage is increased.
  • Help file is updated. The section about e-Books is added.
  • Fixed small bug with Export to txt/csv files.
  • Fixed bug with Hotkeys & text styles.
  • A lot of minor changes and fixes .

    1.2 Beta changes:
  • New: History of opening files.
  • New: Sorting of Tree Nodes.
  • New: Save all Text Nodes to RTF files.
  • TDPViewer (Gif & PNG support).
  • PNG Support (Text Editor).
  • Fixed bug: Contact - Gender
  • Fixed bug: Text Editor - Image Transparent Color.
  • A lot of minor changes and fixes

Version 1.1 (5 Mar 2003).

  • Text Styles (10 Custom text styles)
  • Default Notes properties
  • Fixed bug: Set node focus after Delete Node
  • A lot of minor changes and fixes

Version 1.00 (20 Feb 2003).

  • Personal Information Manager
  • Personal contact Manager
  • Password / Account Manager
  • Global Search
  • Import, Export
  • Clipboard support
  • Start up options


Screen Capture

TreeDBNotes Pro 3 - Screen Capture tools.

  • Capture format: BMP, JPG, PNG, GIF
  • Capture to: File, Clipboard, Editor
  • Hot-Key
  • Capture Folder


Attachments

Overview

TreeDBNotes 3 attachments window:

Folders Files

  • Add

  • Rename
  • Delete
  • Refresh
  • Add
  • Edit
  • Replace
  • Chenge folder
  • Save as...
  • Delete

Editor

Unknown files editor (Title, Keywords, Author, Comments)

Images Editor:


Flags

Overview

Flags editor (Add, Rename, Icon, Delete):


About *.TreeDB; *.TDN, *.TDP format

About *.TDN, *.TDP format

All information is contained in a single database file. This is very convenient for storage of any textual information. You always conveniently and quickly can find any information you want. This also makes it easy to transfer information between work and home.

  • *.treeDB - TreeDBNotes 3 (Pro and Free)
  • *.tdb - TreeDbNotes Pro v2 format. In this file: all trees, all text, all contacts and all passwords.
  • *.tdp - TreeDbNotes Pro v1.xx format. In this file: all trees, all text, all contacts and all passwords.
  • *.tdn - TreeDbNotes Freeware format. In this file: all trees and all text.

Converters...


Database encryption

TreeDBNotes Pro provides an extended database encryption feature, so you can protect your data from unauthorized access. Your tables cannot be viewed on disk by means of a disk (or HEX) editor.


Database tools

Backup

Use database backup to periodially save your data. Backup will copy your open files into a special folder. Periodically backing up your important documents will help you restore them is required. Problems can occur with loss of power, improper shutdown of the operating system, computer malfunction, or a system crash, etc.

Main menu: File/ Database tools/ Make Backup
Backup folder: [Program Dir]\Backup\Year_Month\
Backup file name: Day_Time_DatabaseFileName.tdb
(Example: c:\Program Files\TreeDBNotes\Backup\2002_Dec\20_12-36_Demo.tdb)

Repairing a database

Main menu: File/ Database tools/ Repair Database
Call RepairDatabase to repair all tables' data corruption that can occur due to unexpected power loss or improper operating system shutdown.

Note:
The repair process may take a long time if you are working with a large database.

Compacting a database

Main menu: File/ Database tools/ Repair Database
Call CompactDatabase to compact database file.
Compacting database file usually reduces file size and increases its performance.

Note:
The compacting process may take a long time if you work with a large database.


Editor features

TreeDbNotes Pro Text Editor has all of the standard Text and Paragraph Editing functions that MS Word or WordPad has (font, color, size, background color, tables, images, symbols, etc.). These advanced Paragraph and Text formating Options allow you to make your notes distinctive.

The powerful Table Editor (Insert, Edit, Delete Tables; Insert or Delete Rows/Columns; Edit Cell colors) is easy to use while giving a professional look.

It has highly customizable toolbars and shortcuts that will help you optimize your work.
It contains both a print and print preview function to allow you to review your work prior to printing.


Notes - Bookmarks

Bookmarks

Linking to a specific place in a document

Bookmarks let you set markers in a document, which are often placed at a specific topic or at the top of a document. You can then create links to these named anchors, which quickly take your visitor to the specified position.

Bookmarks highlight information. They can be particularly useful in large texts (text, paragraph navigation, FAQ, Links). Bookmarks are stored and listed for easy reference. You can click on all bookmarks in the list to rapidly access user information.

Creating a link to a bookmark is a two-step process. First, you create a bookmark; then you create a link to the bookmark.

Managing Bookmarks

To Add a Bookmark

First open the note at the point where you want to bookmark then do one of the following:
On the main menu, select Notes/Insert.../Bookmark
On the Insert toolbar, click on the bookmark icon or,
Press Shift+Ctrl+B on your keyboard.

To Rename a Bookmark

Double click on a bookmark (from the Bookmark List)
On the Insert toolbar, click on the bookmark icon or,
Press Shift+Ctrl+B on your keyboard.

To Delete a Bookmark

First select the bookmark you want to delete, from the Bookmark List, then do one of the following:
Double click on a bookmark (from the Bookmark List)
On the Insert toolbar, click on the bookmark icon or,
Press Shift+Ctrl+B on your keyboard.
Press "Delete" button.

To Jump to a Bookmark

Click on a bookmark (from the Bookmark List panel)


Notes - Hyperlinks

Hyperlinks

Hyperlinks and Bookmarks

Hyperlinks are essential and practical for creating user reference points in managing and navigating through a user database. Hyperlinks are like shortcuts to other locations (internal or external). They are active and clickable. These shortcuts are all available to the user (several types of links). They are useful to link to:

  • notes within the database
  • bookmarks
  • internet websites
  • file transfer protocol
  • email addresses
  • local files
  • newsgroup servers
  • telnet
  • gopher
  • secure internet websites
  • and other...

To Add a hyperlink

Select text
Press: Main menu: Notes/Insert.../Hyperlink
(Shortcut: Shift+Ctrl+H )

To Delete/Rename/Change a hyperlink

Move cursor o hyperlink
Press: Main menu: Notes/Insert.../Hyperlink
(Shortcut: Shift+Ctrl+H )


Notes - Templates

Templates are models for storing information in a neat and organized manner. They save you time by allowing you to enter and store information through a pre-defined structure. Templates can be visually attractive and make the task more appealing. You can use them to store a large variety of information that can range from CD, DVD, PHOTO, MUSIC, RECIPE, INVENTORY, HOBBY, SOFTWARE COLLECTIONS AND MORE. You can record info about BUDGETS, CONTACTS, PETS, PERSONAL LETTERS, CV's, TODO's, APPOINTMENTS, INTERVIEWS, and just about any other form of information you are confronted with. You can download templates for free - or you can express your creative urge and make your own. TreeDBNotes PRO promotes user creativity. Enjoy easy access to a variety of templates that are simple to use. No special knowledge is required. Just fill in your information and save.

Templates are ideal for storing business information in the form of LETTERS, FAXES, INVOICES, TODO's, SCHEDULES, ACCOUNTS, CONTACTS, SALES, INVENTORY, BUSINESS PLANS, PROJECTIONS, SUPPLIER ACCOUNTS, COST ANALYSIS, EMPLOYEE STRUCTURE, EMPLOYEE INFO, PROJECT MANAGEMENT, and much more.

You can configure TreeDBNotes Pro to automatically insert a pre-selected template when you are creating a large number of nodes in the tree structure for storing your valuable information regarding a certain topic. This will save you time - no need to insert them manually.

The MAIN template folder and it's subfolders are easily located in the TreeDBNotes PRO file folder.

Windows XP, 200, ME:
C:\Documents and Settings\USERNAME\Application Data\TreeDBNotes Pro 3\Templates\

Windows Vista:
F:\Users\USERNAME\AppData\Roaming\TreeDBNotes Pro 3\Templates\

You can download templates from the Website DOWNLOAD page. For your convenience, the files are packaged in the ZIP format. Simply unzip into the above folder and insert them with TreeDBNotes Pro.


Spell Checking

Use the Check Spelling command in the Tools menu to check the spelling in the current note.

By default, the spelling checker uses the U.S. English spelling dictionary. To change/add the dictionary, select Options (spelling window). Dictionaries for additional languages can be downloaded from our web site:

  • www.MyTreeDB.com (Download/Dictionaries)

To check and correct spelling:
Select Tools > Check Spelling or press F7.
When TreeDBNotes Pro encounters an unrecognized word the Check Spelling dialog box appears.

Select the appropriate option based on how you want the discrepancy handled.


Printing and Previewing Notes

TreeDBNotes Pro allows to print notes quickly, easily and conveniently. You can print the active note or print all chosen notes. You may use a Print Preview window for preview.

To Print/Preview active Notes

Choose Note from Tree and press: Main menu: File/Print-Preview/Preview Selected Note(s)

To Print/preview multiple Notes

Select all Nodes with which you want to print (use [Clrl] key or mouse) and press: Main menu: File/Print-Preview/Preview Selected Note(s)

Print Page Setup

Using this window you can customize your print output with your own headers, footers and to adjust margins for your future print outs.


Notes: Import and Export

Import and Export

Advanced Import and Export tools:

  • Import from *.txt, *.wri, *.rtf, Excell, Word, *.hjt TreePAD, *.csv, *.html and more;
  • Export to *.txt, *.wri, *.doc and more;
  • Insert Tables, Images, Lines, Symbols, Objects...
  • Export to HTML Pages along with your tables, images, and colors;
  • Export / Import Subtree.

How to use

  1. Main menu: Edit/Import Notes (Export Notes)
  2. Select file format (rtf, html, xls)
  3. Press "Open"

Export Selected Notes to files (RTF, RVF, Text Ansi, Text Unicode, HTML CSS, HTML, MS Word).

You may export all selected notes to external files (RTF, RVF, Text Ansi, Text Unicode, HTML CSS, HTML, MS Word). For this purpose choose Nodes from a tree, and press:

  • Main Menu: Edit/Export Notes

All of a note will be exported to files. The name of a file equally to Node-title. The structure of a tree is not kept.

Import Notes from files (RTF, RVF, Text Ansi, Text Unicode, HTML CSS, HTML, MS Word).

You may import files (RTF, RVF, Text Ansi, Text Unicode, HTML CSS, HTML, MS Word) into the Notes Tree. For this purpose choose Node from a tree, and press:

  • Main Menu: Edit/ImportNotes

All selected files will be imported into the tree as children nodes of selected node. The Title of a node equally to imported filenames. If you import to other database hyperlinks to a notes will be lost.

Export Subtree

You may export any subtree of a Notes Tree (Tree structure, Nodes Icons, Titles, Colors, Folders and Notes). For this purpose choose the first subtree Node, and press:

  • Main Menu: Notes/Import-Export/Export Subtree
  • [Ctrl] + Right-click Editor menu: Import-Export/Export Subtree
  • Right-Click Nodes menu: Tools/Export-Import/Export Subtree

Choose destination folder and press OK. After that, Subtree will be exported to *.rtf files. The structure of a tree will be exported in a special *.sbt file. SBT file is the simple CSV file with tree nodes properties (Level, Icon, Color, IsFolder, Filename, Title). In the future you can use all these files (*.sbt, *.rtf) for import of a tree.

SBT file source (example)
Level,Icon,Color,IsFolder,Filename,Title
0,13,16777215,1,167_Welcome.rtf,Welcome
1,24,16777215,0,169_Terminology.rtf,Terminology
1,23,16777215,0,168_Tree_structure.rtf,"Tree structure"
1,13,16777215,1,172_Database.rtf,Database
2,100,16777215,0,173_Database_tools.rtf,"Database tools"
2,115,16777215,0,174_Database_encryption.rtf,"Database encryption"
1,113,16777215,0,171_System_Requirements.rtf,"System Requirements"
1,0,16777215,0,170_e_Book.rtf,e-Book

Import Subtree

You may import subtree from special *.SBT & *.RTF files (Tree structure, Nodes Icons, Titles, Colors, Folders and Notes). For this purpose choose the Node, and press:

  • Main Menu: Notes/Import-Export/Import Subtree
  • [Ctrl] + Right-click Editor menu: Import-Export/Import Subtree
  • Right-Click Nodes menu: Tools/Export-Import/Import Subtree

Choose special *.sbt file (with structure of a tree) and press OK. After that, Subtree will be imported from *.rft files (after selected node). If you import to other database hyperlinks to a notes will be lost.

Export Notes to CSV file

You may export text notes (plain text) to *.csv file (Node title and Node plain text). For this purpose choose the Nodes, and press:

  • Main Menu: Notes/Import-Export/Export to CSV file
  • [Ctrl] + Right-click Editor menu: Import-Export/Export to CSV file
  • Right-Click Nodes menu: Tools/Export-Import/Export to CSV file

Choose filename for csv file and press OK. After that, al selected Notes will be saved in to the CSV file.

Exported Notes (CSV example)
"Node title 1","Text node 1."
"Node Title 2","Node 2 text example."
"Node Title 3","Node 3 text. Line 1","Line 2","Line 3"

Import Notes from CSV file

You may import text notes from a simple *.csv file (Node title and Node plain text). For this purpose choose the Node, and press:

  • Main Menu: Notes/Import-Export/Import from CSV file
  • [Ctrl] + Right-click Editor menu: Import-Export/Import from CSV file
  • Right-Click Nodes menu: Tools/Export-Import/Import from CSV file

Choose *.csv file (with nodes title and text) and press OK. After that, all *.csv lines will be imported as children nodes of selected folder node. First csv fiels will be imported as a Node Title. All other fields will be imported as the Node text.

CSV file for import (example)
"Node title 1","Text node 1."
"Node Title 2","Node 2 text example."
"Node Title 3","Node 3 text. Line 1","Line 2","Line 3"

After Import (example)
Node title 1
         Text node 1.
Node Title 2 Node 2 text example.
Node Title 3 Node 3 text. Line 1
Line 2
Line 3

Import Notes from TreePad *.hjt files

You may import text notes with tree structure from a TreePad *.hjt files (Node title and Node text and Node Level). For this purpose choose the Node, and press:

  • Main Menu: Notes/Import-Export/Import from TreePad (*.hjt)
  • [Ctrl] + Right-click Editor menu: Import-Export/Import from TreePad (*.hjt)
  • Right-Click Nodes menu: Tools/Export-Import/Import from TreePad (*.hjt)

Choose *.hjt file and press OK. After that, all TreePad nodes will be imported as a new subtree.


What are eBooks?

An eBook is an electronic version of a published book but with additional features:
  • a convenient table of contents (in a tree-like structure) that is linked to the contents
  • the ability to search for words or phrases
  • the ability to print
  • the ability to copy text, an image, formulas - anything contained in the eBook
  • Hyperlinks (link to note, file, web, email...)
  • Color styles

eBooks do not age with time in the way that a printed document does. Like the words contained in them, eBooks never grow old. You may write eBooks from your hard drive to a CD or CDR for portability. Also, eBooks are contained in an executable file (an EXE file). By simply clicking an icon or double clicking the file, the eBook is ready for reading.

There are other programs that will allow you to create eBooks. The majority of them offer one table of contents and the text. TreeDBNotes Pro eBooks allow you to create multiple tables of contents (one on each tab). You could publish one book in several languages or even multiple books in one file.

Possible Applications

eBooks are very convenient for a variety of purposes. You could prepare documents in eBook format and make them available on the network for your employees. An eBook could be a review of internet sites, programming documentation, or training manuals. An eBook could even literally be a book – a novel, biography, self-help, etc. You could make a collection of useful articles, information, jokes, histories, letters, advice, recipes – anything may be made into an eBook.

eBooks are a Business Opportunity

If you believe that your eBook has value to others. You can publish it and sell it on the Internet. This is currently a big business on the Web. Since TreeDBNotes Pro eBooks may be passworded, the eBook may be made available for download on the Internet and the password to access it sold seperately.


Creating and Publishing an eBook

Once you have decided to create an eBook, you should carefully plan the structure. The size of the file and the convenience of portability and of reading depend on good structure.

You will also want to consider matters of style. When an eBook is written consistently in the same color theme and the same font style, it has a much better appearance and is easier to read.

eBooks are created from the standard TreeDBNotes Pro file (*.tdb). You may use a file that you have already created or start a new one.

eBooks cannot contain the “Contacts” or “Password” trees. Therefore, if your file contains these features, you will need to delete those tabs. This will help in limiting the size of the final product.

Remember to keep working copies (backups) and to save often. You should not save permanent changes in your current document without having a copy of it as it was when you started writing or editing.

Creating an eBook from an Existing File

Open the file in TreeDBNotes Pro and then save it under a different name by clicking the “Save As” option. You could use a totally new name or simply rename it something like “MyFile_temp.tdp.” Remember that you will need to delete any tree structures (tabs) that were created as “Contacts” or “Password.”

Publishing your eBook

During the writing and editing process you will be removing unnecessary nodes (branches) and inserting new ones so the database will need to be optimized at the end of the process in order to clean it up and reduce its size. To optimize the database, click the FILE menu option and then choose “Repair Database” and “Compact Database.” You should save your work immediately after this process.

Your database is now ready for publication to eBook format. To create the book, click the FILE menu option, “Database Tools,” and “Publish to TreeDBNotes Pro eBook.” A dialogue window will appear allowing you to choose the name of the file as well as other options such as author name, publication date, etc. Now click Publish and your eBook is ready. It really is just that simple!


About Contacts Manager

You may organize and operate your contacts easily and quickly. With the help of TreeDbNotes Pro tree structures and the filter function, you may find the person you are looking for to write a letter to or edit information. Single key strokes can create lists of addresses or emails to export to a file.

We sincerely hope that these new opportunities will make the program your irreplaceable friend and assistant both for work and for personal use.


Contact Manager : Import and Export

Import and Export

You may Export All contacts information to an External file:

  • Text file (*.txt) with Tab separator
  • Comma Separated Value file (*.csv)
  • Clipboard

Select your contacts from the Contacts List and press Export to…, Select Export Columns, and File Name.
If you select one person (one line) from the Contact List - you copy (or export) only that contacts information. If you want to copy (or export) a list of several contacts, you simply select several contacts from Contacts List.

Example: Copy Personal Email List of all friends.

  1. Select Friend Folder from Tree (see the TreeDbNotes demo file).
  2. Select all friends from Contact List.
  3. Press Copy Personal Email.
  4. Paste information to another program.


Cards View

Cards View

Text Cards View

Report View

Thumbnails View

Copyright (c) 1998-2006 www.MyTreeDB.com All Rights Reserved.


About Passwords Manager

You may organize and operate your password accounts quickly and easily with TreeDbNotes Pro. With the help the tree - structures and the filter functions, you quickly find the necessary information. Quick access and quick copy to the clipboard will help optimize your work. With the help of one key stroke to create lists of links or emails to export to a file.


Password Manager : Import and Export

Import and Export

You may Export all Passwords Account information to an External file:

  • Text file (*.txt) with Tab separator
  • Comma Separated Value file (*.csv)
  • Clipboard

Select an account from Password List and press Export to…, Select Export Columns, and File Name.
If you select one Account (one line) from Password List - you copy (or export) only information from the one Account. If you want to copy (or export) a list of several Accounts, simply select several Accounts from Passwords List.

Example: Export Login List of all my Forums to CSV file.

  1. Select Forum Folder from Password Tree (see the TreeDbNotes Pro demo file).
  2. Select all Forums from Passwords List.
  3. Press Export/CSV file.
  4. Select Exported columns (login).
  5. Press Export.
  6. Select File name.


Getting program updates

If you are a registered user of TreeDBNotes Pro you may upgrade at no charge to any newer release. Just download the latest trial release of TreeDBNotes Pro and install it without uninstalling the previous version (don't forget to close previous version of TreeDBNotes Pro if running). This will preserve your registration. If the registration code is no longer present on your system just re-enter it as you did the first time and restart the program.
If for any reason your registration code becomes invalid or lost just send an e-mail to treedb@softviewer.com together with the details of your previous registration. You will receive a new code via e-mail at no charge as soon as we have validated your old registration data.

The new version of TreeDBNotes Pro always available on the site:

  • http://www.mytreedb.com/

About new file format:
The new version uses a new format *.tdb For convenience of users on our site there is a free converter from old formats in new (TreeDBNotes free *.tdn -> *.tdb; TreeDBNotes Pro v1.xx *.tdp -> *.tdb).
Download: http://www.mytreedb.com/

Spell checker
By default, after installation of the program, the English dictionary for spelling will be established. Additional dictionaries (for other languages) can be downloaded here: http://www.mytreedb.com/

To install additional dictionaries:

1) Download the necessary dictionary file.
2) Unzip the file (if a file is zip - compressed)
3) Copy the file into the program directory.
4) Restart the program.


Registration

If you decide to keep it, you have to register and pay the registration fee. Registration benefits: lifetime technical support including support via e-mail, FREE upgrade to all new versions, and product notification by e-mail.

After purchasing your will have registration key and registration name. You must input registration information into the program (click "Registration" in the main menu, or press "Registration" on the nag screen.


License

Copyright(c) 1998-2003 SoftViewer & SoftArtStudio. All Rights Reserved.

By using, copying, transmitting, distributing or installing TreeDBNotes Pro, you agree to all of the terms of this License. If you do not agree to any of the terms of this License, then do not use, copy, transmit, distribute, or install TreeDBNotes Pro.

This is not free software. Subject to the terms below, you are hereby licensed by SoftArtStudio, Inc. to use this software for evaluation purposes without charge for a period of 25 days.

License agreement
You should carefully read the following terms and conditions before using this software.

Registered version
One registered copy of TreeDBNotes Pro may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both.

Evaluation and registration
This is not free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 20-day evaluation period a registration fee (see Ordering information) is required. When payment is received you will be sent an unlock key for the latest version of TreeDBNotes Pro.

Unregistered use of TreeDBNotes Pro after the 25-day evaluation period is in violation of U.S. and international copyright laws.

DISCLAIMER OF WARRANTY
THE SOFTWARE IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AUTHOR FURTHER DISCLAIMS ALL WARRANTIES, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF THE USE OR PERFORMANCE OF THE PRODUCT AND DOCUMENTATION REMAINS WITH RECIPIENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING OUT OF THIS AGREEMENT OR THE USE OF OR INABILITY TO USE THE PRODUCT, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

Distribution of evaluation version
Provided that you verify that you are distributing the evaluation version (select About from the TreeDBNotes Pro menu to check) you are hereby licensed to make as many copies of the evaluation version of this software and documentation as you wish; give exact copies of the original evaluation version to anyone; and distribute the evaluation version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.
You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.


Ordering Information

Trial version of TreeDBNotes Pro has limitations: 30-days trial period + nag screen.

If you decide to keep it, you have to register and pay the registration fee. Registration benefits:

  • Lifetime technical support including support via e-mail
  • Access for Full Templates pack (TreeDBNotes 3.0)
  • Access for full Icons pack (TreeDBNotes 3.0)
  • FREE upgrade to all new versions (3.xx)
  • Product notification by e-mail

How To Order

You can register your copy of TreeDBNotes Pro at a cost of $28. Select one of the following ways:

1) Through the World Wide Web. This is the fastest and easiest way. The ordering page is on a secure Netscape Commerce Server, ensuring that your confidential information remains confidential. For details on ordering TreeDBNotes Pro through the Web, please go to the TreeDBNotes Pro register page at:

Please visit our purchase page (more info about Licenses, Prices)
Purchase: TreeDBNotes Pro (Personal License)
for Home use
Purchase: TreeDBNotes Pro (Business License)
for Home and Business use
Upgrade (2.xx to 3.xx): http://www.mytreedb.com/upgrade.html

2. If you don't have convenient Web access, the next best way to order TreeDBNotes Pro is by fax (also using the credit card) or phone (toll-free). In addition, you can send us the check (American Express Traveller's cheques and Eurocheques are preferred); money orders are also accepted. The order form template, fax and phone numbers and mailing address are in the file "Order.frm".

On payment approval (usually, in one-two business days), we'll send you the registration key which will remove all limitations of unregistered version and 25 days trial period. Your registration will be valid for all future versions of TreeDBNotes Pro.

If you will not get your registration key within a reasonable amount of time (three business days for credit card payments or two weeks for other payments), please notify us about that! We're very sorry for any inconvenience caused by those delays.


Installing and Uninstalling

To Install TreeDBNotes Pro:

To install TreeDBNotes Pro, simply run the setup file downloaded from the Internet and follow the instructions.
You may reinstall the program over the (in the same folder) previous version TreeDBNotes Pro. The main thing to close all started programs TreeDBNotes Pro. The majority of properties are stored in a file options.ini in a directory of the program.

To Uninstall TreeDBNotes Pro:

Open the Control Panel, double click on Add/Remove Programs, and double click on the TreeDBNotes Pro entry.

  • Verifies that it is safe to uninstall TreeDBNotes Pro
  • Deletes the files in the TreeDBNotes Pro folder
  • Removes the TreeDBNotes Pro icons and Start menu entries
  • Removes the TreeDBNotes Pro entries from the registry

Install TreeDBNotes on a Flash/USB Drives...


Converter - Download

Converters

Links

  • Homepage: http://www.mytreedb.com
  • Download: http://www.mytreedb.com/download.html

TreeDBConverter.exe

  • Converter from TreeDBNotes 1 free (*.tdn) to TreeDBNotes 3 (*.treeDB)
  • Converter from TreeDBNotes Pro 2.xx (*.tdp) to TreeDBNotes 3 (*.treeDB)

PIMConverter.exe

Alarms and Reminders converter: from TreeDBNotes Pro 2.xx (pim_db.pdb) to TreeDBNotes Pro 3 (TreeDBNotesPro.PIM).

Default files location (TreeDBNotesPro.PIM):

  • c:\Program Files\TreeDBNotes Pro 2\pim_db.pdb (2.xx)
  • WinXP: C:\Documents and Settings\USERNAME\Application Data\TreeDBNotes Pro 3\Settings\TreeDBNotesPro.PIM (3.xx)
  • Win Vista: F:\Users\USERNAME\AppData\Roaming\TreeDBNotes Pro 3\Settings\TreeDBNotesPro.PIM


Files

File name | Description
TreeDBNotes.exe | Main TreeDBNotes 3 executable file
TreeDBNotesPro.chm | Help file
TreeDBImages.LIB | Images library (folders, images)
DEMO_PRO.treeDB | Demo file
TreeDBNotesPro.OPT | TreeDBNotes Pro 3 options file (Options, Workspaces, System info)
TreeDBNotesPro.PIM Alarm and Reminders (records and folders)
  • WinXP/2000: C:\Documents and Settings\USERNAME\Application Data\TreeDBNotes Pro 3\Settings\TreeDBNotesPro.PIM
  • Win Vista: F:\Users\USERNAME\AppData\Roaming\TreeDBNotes Pro 3\Settings\TreeDBNotesPro.PIM
Phrases.txt | Commin phrases text file
Styles.xml | Text styles (Notes Editor)


Acknowledgements

  • Troy Wolbrink - Tnt Unicode Controls
  • NSIS - Nullsoft Scriptable Install System
  • Jordan Russel - TB2000
  • Alex Denisov - TBX package for TB2000
  • Robert Lee - SpTBXLib package for TB2000&TBX
  • Mike Lischke - VirtualTree
  • Jim Kueneman - VirtualShellTools
  • Jedy VCL - JVCL team


Distributing an eBook

Distributing an eBook
Once you have completed aneBook you will want to distribute your publication to others (friends or customers). If you have the full registered version of TreeDBNotes Pro, you have the right (copyright) to distribute your eBooks as well as the included program for viewing them (TDBView.exe).

To distribute a stand-alone eBook (*.exe)
When you compile your eBook into a file (for example: myBook.exe) it contains the eBook viewer so you may distribute it as one complete file. The size of the is determined by the size of the viewing program plus the size of the eBook database (the *.tdp file that is your actual text). You may also use the viewer to open other files such as the Help file for the TreeDBNotes Pro program.

To distribute a TreeDBNotes Publication File eBook (*.tdb)
You may distribute your eBbook in the *.tdb format (TreeDBNotes Pro file) without the viewer program. The program “TDBView.exe” is necessary to view the .tdb file. You might consider this variation when you know that your recipient already has the viewer file. This allows you to save on the size of the file and may make it easier for emailing. However, if your recipient does not have the viewer file or you are not sure, you would either need to distribute your work as an entire eBook (.exe) file or you would have to distribute the TDBView.exe file along with your *.tdb file.


TreeDBNotes eBook Reader

xxxxxxxxx


Icons Library

Overview

TreeDBNotes Pro 3 - Images library.

Folders:

  • Add
  • Delete
  • Edit

Icons:

  • Size 16x16
  • Formats: *.png; *.ico; *.bmp; *.gif

You can use Ctrl or Shift key for a choice of several icons.